package com.company.tagpickerproblem.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "TAG_HOLDER_ENTITY")
@Entity(name = "TagHolderEntity")
open class TagHolderEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @JoinTable(
        name = "TAG_HOLDER_ENTITY_TAG_LINK",
        joinColumns = [JoinColumn(name = "TAG_HOLDER_ENTITY_ID")],
        inverseJoinColumns = [JoinColumn(name = "TAG_ENTITY_ID")]
    )
    @ManyToMany
    var tags: MutableList<TagEntity> = mutableListOf()
}